import { SearchNode } from '../../enlighten-lib/filters/search-node';
import { TagStyle } from './tag-style';
export declare class ConditionalFormatting {
    id: number;
    tagStyle: TagStyle;
    condition: SearchNode;
    conditionsJs: string;
    constructor(conditionalFormatting?: ConditionalFormatting);
    conditionalFormatting(conditionalFormatting: ConditionalFormatting): void;
    newconditionalFormatting(): void;
}
